
function validate_card_3() {

	cookie.hgs = []
	Ext.each(Ext.query('input[id^=_hg_]'), function( item ) {
		if (item.checked) {
			cookie.hgs.push(item.value);
		}
	});

	if (cookie.hgs.length == 0 ) {
		alert('Você precisa selecionar um grupo');
		return false;
	}

	store_cookie(cookie);

	return true;

}

function validate_card_2() {

	cookie.cs = []
	Ext.each(Ext.query('input[id^=_c_]'), function( item ) {
		if (item.checked) {
			cookie.cs.push(item.value);
		}
	});

	cookie.cgs = []
	Ext.each(Ext.query('input[id^=_cg_]'), function( item ) {
		if (item.checked) {
			cookie.cgs.push(item.value);
		}
	});
	
	if (cookie.cs.length == 0 && cookie.cgs.length == 0) {
		alert('Você precisa selecionar um contato ou grupo');
		return false;
	}

	store_cookie(cookie);

	return true;

}


function validate_card_1() {

	cookie.name = changeCharCode(Ext.get("_name").dom.value);
	cookie.description = Ext.get("_description").dom.value;
	cookie.ip = Ext.get("_ip").dom.value;
	cookie.request_type = Ext.get("_request_type").dom.value;
	
	cookie.community = "";
	if (!Ext.get("_community").dom.disabled) {
		cookie.community = Ext.get("_community").dom.value;
	}
	
	Ext.each(Ext.query('*[id ^=_hostname_]'), function( item ) {
		item.innerHTML = cookie.name;
	});
	
	if (cookie.name == "") {
		Ext.get("_name").addClass('invalid-field');
		Ext.get("_name").dom.focus();
		return false;
	} else {
		Ext.get("_name").removeClass('invalid-field');
	}

	if (cookie.description == "") {
		Ext.get("_description").addClass('invalid-field');
		Ext.get("_description").dom.focus();
		return false;
	} else {
		Ext.get("_description").removeClass('invalid-field');
	}

	if (cookie.ip == "") {
		Ext.get("_ip").addClass('invalid-field');
		Ext.get("_ip").dom.focus();
		return false;
	} else {
		Ext.get("_ip").removeClass('invalid-field');
	}

	
	store_cookie(cookie);
			
	return true;

}


function validate_card_0() {

	for(var idx in valid_sos) {
		
		var so = valid_sos[idx];
		var radio = Ext.get("_type_"+so);
		if (radio.dom.checked) {
		
			cookie.type = radio.dom.value;
			
			// copy of another host
			if (cookie.type == 'copy') {
				Ext.get('_request_type').dom.disabled = true;
				cookie.copy_from = Ext.get("_copy_from").dom.value;
				
			} else if (cookie.type == 'website') {
				Ext.get('_request_type').dom.disabled = true;
				
			} else if (cookie.type == 'printer' || cookie.type == 'router') {
			
				Ext.get('_request_type').dom.disabled = false;
				Ext.get('_agent_opt').hide();
				Ext.get('_port_scan_opt').dom.selected = true;
				
			} else {
				Ext.get('_request_type').dom.disabled = false;
				Ext.get('_agent_opt').show();
				
			}

			if (Ext.get("_request_type").dom.value == 'snmp' && cookie.type != 'website') {
				Ext.get('_community').dom.disabled = false;
			} else {
				Ext.get('_community').dom.disabled = true;
			}


			// update links to download/documentation
			Ext.get("_so_links").dom.innerHTML = Ext.get("_so_links_" + cookie.type).dom.innerHTML;
			

			store_cookie(cookie);

			return true;
		}
		
	}


}

