// Export JS functions

function startExport() {

	var cbox = Ext.get('export_full');
	var export_level = 0;
	if (cbox.dom.checked)
		export_level = 1;
	
	var URL = "/opmon/opcfg/ajax_export.php?action=start_export";
	Ext.Ajax.request({
		url: URL,
		method: 'post',
		params: { full: export_level },
		success:	function( result, request ) {
			alert(result.responseText);
			checkRunningExport();
		}
	});

}

function checkRunningExport(schedule) {
	
	schedule = schedule || false;
	
	var URL = "/opmon/opcfg/ajax_export.php?action=check_running_export";
	Ext.Ajax.request({
		url: URL,
		method: 'post',
		callback:	function( request, success, result ) {
			
			if (schedule)
				setTimeout('checkRunningExport(true)', 4000);

			if (!success)
				return;

			var obj = Ext.util.JSON.decode(result.responseText);
			
			// Export running
			if (obj.running) {
				Ext.get('current_status').dom.innerHTML = 'Running...';
				Ext.get('loader').dom.style.display = 'block';
				Ext.get('export_button').dom.disabled = true;
			} else {
				Ext.get('current_status').dom.innerHTML = 'Not Running';
				Ext.get('loader').dom.style.display = 'none';
				Ext.get('export_button').dom.disabled = false;
			}
			
			Ext.get('log_output').dom.innerHTML = obj.log;
		
		}
	});
}
